Introduction

Le HP Driver Deployment Utility (DDU) permet à un administrateur de créer un package d'installation de pilotes pour une installation sans assistance destinée aux utilisateurs finaux. Cet utilitaire prend en charge l'ajout de pilotes d'impression au magasin de pilotes Windows et la création d'entrées dans le dossier Imprimantes. Le Driver Deployment Utility prend en charge les pilotes d'impression conçus pour une utilisation avec l'Assistant Ajout d'imprimante de Microsoft. Toutes les alertes et contraintes de certification Microsoft sont applicables.

L'interface utilisateur se divise en 3 sections :

  1. « Source du package » décrit le type de package et l'emplacement des pilotes que vous souhaitez créer
  2. « Cible du package » identifie le nom et l'emplacement de l'installation du package
  3. « Créer le package » lance la procédure de création du package


Source du package

Répertoire des pilotes

Utilisez le bouton Sélectionner pilote pour sélectionner un fichier inf dans le répertoire des pilotes en navigant jusqu'au pilote voulu ou en saisissant son nom. Vous ne devriez avoir qu'un seul package de pilotes dans ce répertoire car cet utilitaire regroupera tous les fichiers trouvés dans le répertoire (et les sous-répertoires) dans le fichier exécutable. Si vous avez téléchargé un package de pilotes compressé, vous devez le développer avant d'utiliser cet utilitaire.

Dans certains cas, il est possible que vous ayez plusieurs fichiers inf de pilotes dans le répertoire (l'un peut parfois être pour des imprimantes couleur et l'autre pour les imprimantes monochromes). Si c'est le cas, une boîte de dialogue supplémentaire vous permet de sélectionner le pilote à placer dans le package.

Vous obtiendrez également un avertissement si votre répertoire est volumineux. Ceci afin d'empêcher le regroupement dans un package de plus d'un pilote. À ce stade, vous pouvez choisir de continuer si le répertoire contient tous les fichiers souhaités ou requis.

Une fois que le répertoire du pilote est sélectionné et que le pilote a été trouvé, le répertoire et les informations sur le pilote sont affichés.

Pour les pilotes qui prennent en charge la préconfiguration, la case à cocher ci-dessous est activée. Si vous la cochez, une boîte de dialogue de configuration s'ouvre une fois que vous appuyez sur le bouton Créer le package.

Type d'installation

Précharger le pilote - L'option à sélectionner pour les utilisateurs qui utiliseront une connexion directe, telle qu'un câble USB. Un événement Plug and Play est nécessaire pour installer le pilote, mais tous les fichiers installés par ce package pour une utilisation ultérieure sont placés dans la base de stockage des pilotes Windows. REMARQUE : Si plusieurs pilotes sont trouvés pour un périphérique, le système d'exploitation détermine le pilote qui correspond le mieux à l'événement Plug and Play, ou ouvre une boîte de dialogue de sélection pour l'utilisateur.

Par défaut, le fichier exécutable s'exécute avec une boîte de dialogue d'avancement. Pour désactiver la boîte de dialogue d'avancement, exécutez le fichier exécutable en ajoutant /q sur la ligne de commande. Si vous souhaitez inviter l'utilisateur final à se connecter à l'imprimante à la fin de l'installation, cochez alors la case Afficher une invite lors de la connexion de l'imprimante.

Pour les imprimantes qui utilisent une connexion réseau, sélectionnez l'option Créer le port réseau et installer le pilote. Le bouton Paramètres réseau devient actif et vous devriez pouvoir cliquer dessus pour entrer les paramètres du réseau.

Paramètres du réseau

Vous devez identifier l'imprimante réseau en procédant selon l'une ou plusieurs des méthodes suivantes. Cet utilitaire ne communique pas avec le périphérique pour déterminer si les paramètres sont valides mais effectue une vérification de la syntaxe. (Pour activer la redécouverte du périphérique, assurez-vous que l'adresse matérielle est indiquée.)

Adresse IP :

Entrez l'adresse IPv4 ou IPv6 de l'imprimante

Adresse matérielle :

Entrez l'adresse matérielle de l'imprimante

Nom d'hôte :

Entrez le nom d'hôte de l'imprimante

Les paramètres réseau suivants sont supplémentaires. Vous pouvez accepter les valeurs pré-saisies par défaut ou les modifier.

Nom du port :

Le nom du port réseau qui va être créé. Si le nom existe déjà, un chiffre est ajouté pour le rendre unique.

Nom de l'imprimante :

Le nom de l'imprimante qui apparaît dans le dossier des imprimantes. Si le nom existe déjà, un chiffre est ajouté pour le rendre unique.

Définir cette imprimante comme imprimante par défaut :

Oui - Fait de cette imprimante l'imprimante par défaut pour l'impression d'autres applications.

Non - Maintient l'imprimante par défaut existante, sauf si cette imprimante est la seule qui soit installée.

Partager cette imprimante :

Oui - Autorise les autres utilisateurs à utiliser cette imprimante.

Nom de partage :

Le nom de partage de l'imprimante. Cette option est uniquement activée si l'option Partager cette imprimante a la valeur Oui. Si le nom existe déjà, un chiffre est ajouté pour le rendre unique.


Cible du package

Sélectionnez le bouton Enregistrer sous pour saisir le nom et l'emplacement du package de sortie. L'utilitaire crée le package dans le répertoire temp, puis le déplace vers l'emplacement final. Le package comprend 2 fichiers qui doivent être livrés ensemble : un fichier .exe et un fichier .cab.

Un fichier xml de description correspondant contenant les détails sur le package est également copié vers l'emplacement final. Le package xml est uniquement pour information ; il n'est pas utilisé par DDU durant l'exécution.


Créer le package

Sélectionnez le bouton Créer le package une fois que vous avez saisi toutes les informations ci-dessus. Ce bouton est désactivé tant que vous n'avez pas saisi les informations requises. Une fois sélectionné, le bouton Annuler et la barre d'avancement sont activés.

Pour interrompre la création du package, sélectionnez le bouton Annuler.

Le fichier exécutable est exécuté en affichant une boîte de dialogue d'avancement et, si demandée, une invite utilisateur pour une imprimante à connexion directe. Si une erreur se produit pendant l'exécution, une boîte de dialogue d'erreur apparaît. Pour supprimer cette dernière, cochez la case Supprimer tous les messages d'erreur de l'utilisateur final.


Remarques supplémentaires

Pour fermer cette application, utilisez le bouton de fermeture de Windows situé dans l'angle supérieur droit.


Systèmes d'exploitation pris en charge

Microsoft Windows 7

Microsoft Windows 7 Édition 64 bits

Microsoft Windows Server 2008 R2 Édition 64 bits

Microsoft Windows 8

Microsoft Windows 8 Édition 64 bits

Microsoft Windows Server 2012 Édition 64 bits

Microsoft Windows Server 2012 R2 Édition 64 bits

Microsoft Windows 8.1

Microsoft Windows 8.1 Édition 64 bits

Microsoft Windows Server 2016 Édition 64 bits

Microsoft Windows 10

Microsoft Windows 10 Édition 64 bits

Microsoft Windows Server 2019 Édition 64 bits


Options de ligne de commande

Le package de l'utilisateur final peut être modifié via l'ajout d'options de ligne de commande. Les options de ligne de commande peuvent être combinées si elles sont séparées par des espaces. Un message d'erreur s'affiche si la ligne de commande contient une erreur, telle qu'un caractère non valide ou un formatage incorrect. Les options de ligne de commande incorrectes sont ignorées. La description de ligne de commande suivante est également disponible (en anglais) en exécutant le package de l'utilisateur final avec un /?.

Les packages préchargés prennent en charge les options de ligne de commande suivantes :

/? affiche les informations de ligne de commande (anglais uniquement)

/q supprime la barre d'avancement

/p invite l'utilisateur à connecter l'imprimante

/s supprime les messages d'erreur de l'utilisateur final

Les packages d'imprimante réseau prennent en charge les options de ligne de commande suivantes :

/? affiche les informations de ligne de commande (anglais uniquement)

/q supprime la barre d'avancement

/s supprime les messages d'erreur de l'utilisateur final

/ip <adresse_ip> utilise l'adresse IP spécifiée pour identifier l'imprimante, par exemple /ip 120.25.5.56

/hw <adresse_matérielle> utilise l'adresse matérielle spécifiée pour identifier l'imprimante, par exemple /hw 0001E6299128

/hn <nom_hôte> utilise le nom d'hôte spécifié pour identifier l'imprimante, par exemple /hn MonNomHôte

Le nom d'hôte est limité à 255 caractères et peut uniquement contenir les caractères suivants : A-Z, a-z, 0-9 et le tiret (-).

/pn <nom_port> utilise le nom de port spécifié comme nom de port, par exemple /pn PortHP

Le nom de port est limité à 128 caractères et ne peut pas contenir d'espaces.

/n "<nom_imprimante>" utilise le nom spécifié comme nom de l'imprimante, par exemple /n "HP LaserJet 8150"

Le nom de l'imprimante doit être entouré de guillemets, est limité à 40 caractères et ne peut pas contenir les caractères spéciaux suivants : ! # ,

/d définit cette imprimante comme imprimante par défaut

/sn "<nom_partage>" active le partage et utilise le nom spécifié comme nom de partage pour l'imprimante, par exemple /sn "Ma HP LaserJet 8150 partagée"

Le nom de partage doit être entouré de guillemets, est limité à 80 caractères et ne peut pas contenir les caractères spéciaux suivants : / \ : ; “ ? * + = < > [ ]

© Copyright 2019 HP Development Company, L.P.